> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Tokens Balances for the Address

` GET /blockscout/addresses/{address_hash}/token-balances `

Get All Tokens Balances for the Address

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` address_hash ` (path, required)

Address hash

- ` value `: type ` string `

  - pattern: ` "^0x([A-Fa-f0-9]{40})$" `

## Responses

### ` 200 ` — Address

Content type: ` application/json `

- ` value `: type ` array `

  - ` array item `: type ` object `

    - Required fields: ` value `, ` token `, ` token_id `

    - ` token_instance `: type ` object `

      - Required fields: ` is_unique `, ` id `, ` token `, ` owner `

      - ` is_unique `: type ` boolean `

      - ` id `: type ` string `

        - example: ` "431" `

      - ` holder_address_hash `: type ` string `

        - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

      - ` image_url `: type ` string `

        - example: ` "example.com/picture.png" `

      - ` animation_url `: type ` string `

        - example: ` "example.com/video.mp4" `

      - ` external_app_url `: type ` string `

        - example: ` "d-app.com" `

      - ` metadata `: type ` object `

        - example: ` {"year":2023,"tags":["poap","event"],"name":"Social Listening Committee #2 Attendees","image_url":"https://assets.poap.xyz/chanel-poap-4c-2023-logo-1675083420470.png","home_url":"https://app.poap.xyz/token/6292128","external_url":"https://api.poap.tech/metadata/99010/6292128","description":"This is the POAP for attendees of the second Social Listening Committee.","attributes":[{"value":"01-Feb-2023","trait_type":"startDate"},{"value":"01-Feb-2023","trait_type":"endDate"},{"value":"false","trait_type":"virtualEvent"},{"value":"Paris","trait_type":"city"},{"value":"France","trait_type":"country"},{"value":"https://www.chanel.com","trait_type":"eventURL"}]} `

      - ` owner `: type ` object `

        - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

        - ` hash `: type ` string `

          - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

        - ` implementation_name `: type ` string `

          - example: ` "implementationName" `

        - ` name `: type ` string `

          - example: ` "contractName" `

        - ` ens_domain_name `: type ` string `

          - example: ` "domain.eth" `

        - ` metadata `: type ` object `

          - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

        - ` is_contract `: type ` boolean `

        - ` private_tags `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` address_hash `, ` display_name `, ` label `

            - ` address_hash `: type ` string `

              - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` watchlist_names `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` display_name `, ` label `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` public_tags `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` address_hash `, ` display_name `, ` label `

            - ` address_hash `: type ` string `

              - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` is_verified `: type ` boolean `

      - ` token `: type ` object `

        - Required fields: ` address `, ` circulating_market_cap `, ` icon_url `, ` symbol `, ` name `, ` decimals `, ` type `, ` holders `, ` exchange_rate `, ` total_supply `

        - ` circulating_market_cap `: type ` string `

          - example: ` "83606435600.3635" `

        - ` icon_url `: type ` string `

          - example: ` "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png" `

        - ` name `: type ` string `

          - example: ` "Tether USD" `

        - ` decimals `: type ` string `

          - example: ` "6" `

        - ` symbol `: type ` string `

          - example: ` "USDT" `

        - ` address `: type ` string `

          - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

        - ` type `: type ` string `

          - example: ` "ERC-20" `

        - ` holders `: type ` string `

          - example: ` "837494234523" `

        - ` exchange_rate `: type ` string `

          - example: ` "0.99" `

        - ` total_supply `: type ` string `

          - example: ` "10000000" `

    - ` value `: type ` string `

      - example: ` "10000" `

    - ` token_id `: type ` string `

      - example: ` "123" `

    - ` token `: type ` object `

      - Required fields: ` address `, ` symbol `, ` name `, ` decimals `, ` type `, ` holders `, ` exchange_rate `, ` total_supply `

      - ` name `: type ` string `

        - example: ` "Tether USD" `

      - ` decimals `: type ` string `

        - example: ` "16" `

      - ` symbol `: type ` string `

        - example: ` "USDT" `

      - ` address `: type ` string `

        - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

      - ` type `: type ` string `

        - example: ` "ERC-20" `

      - ` holders `: type ` integer `

        - example: ` 837494234523 `

      - ` exchange_rate `: type ` string `

        - example: ` "0.99" `

      - ` total_supply `: type ` string `

        - example: ` "10000000" `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/addresses/string/token-balances'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/addresses/string/token-balances', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/addresses/string/token-balances')
print(response.json())
```